Bug 804029 - Template shouldn't be created successfully when specified not existing descriptor to creating a template
Template shouldn't be created successfully when specified not existing descri...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 07:13 EDT by bzhao
Modified: 2015-05-14 21:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:33:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
developmentLog (2.09 MB, text/x-log)
2012-03-16 07:19 EDT, bzhao
no flags Details

  None (edit)
Description bzhao 2012-03-16 07:13:51 EDT
Description of problem:
Template could be created successfully when specified not existing descriptor to creating a template

Version-Release number of selected component (if applicable):
rhc-0.88.9-1.el6_2.noarch
rhc-broker-0.88.8-1.el6_2.noarch

How reproducible:
Always

Steps to Reproduce:
1. Add a template and specify not existing descriptor file
# rhc-admin-add-template -n wordpress -d /tmp/XXX.yaml -g
git://github.com/openshift/wordpress-example.git -t wordpress  -c 1  -m
'{"a":"b"}'
  
Actual results:
Template could be created successfully without any error

Expected results:
Template shouldn't be created successfully and it should return error message said that Not specify descriptor file or the others..

Additional info:
I have uploaded /var/www/libra/broker/log/development.log
Comment 1 bzhao 2012-03-16 07:19:02 EDT
Created attachment 570583 [details]
developmentLog
Comment 2 Ravi Sankar 2012-03-21 15:23:01 EDT
Fixed.
Comment 3 bzhao 2012-03-23 03:54:20 EDT
Passed verification on devenv 1670

Note You need to log in before you can comment on or make changes to this bug.